Bug 804326 - FTBFS: xml.cpp:455:33: error: impossible register constraint in 'asm'
FTBFS: xml.cpp:455:33: error: impossible register constraint in 'asm'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tcpflow (Show other bugs)
17
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-17 16:17 EDT by Karsten Hopp
Modified: 2012-03-31 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-31 11:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2012-03-17 16:17:48 EDT
Description of problem:
builds on PPC fail with this error:
main.cpp: In function 'void terminate(int)':
main.cpp:85:6: warning: function might be candidate for attribute 'noreturn' [-Wsuggest-attribute=noreturn]
tcpip.cpp: In member function 'void tcpip::print_packet(const u_char*, u_int32_t)':
tcpip.cpp:435:36: warning: ignoring return value of 'size_t fwrite(const void*, size_t, size_t, FILE*)', declared with attribute warn_unused_result [-Wunused-result]
xml.cpp: In static member function 'static void xml::cpuid(uint32_t, long unsigned int*, long unsigned int*, long unsigned int*, long unsigned int*)':
xml.cpp:455:33: error: impossible register constraint in 'asm'
make[2]: *** [xml.o] Error 1

Version-Release number of selected component (if applicable):
tcpflow-1.1.0-1.fc17

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f17 tcpflow-1.1.0-1.fc17.scr.rpm
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=447439

Expected results:


Additional info:
Comment 1 Terje Røsten 2012-03-25 16:30:49 EDT
Thanks for your report, I need help from gcc/ppc experts here.

Note You need to log in before you can comment on or make changes to this bug.